Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFEmbeddedFiles

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.PDFNameTreeNode
                  org.apache.fop.pdf.PDFEmbeddedFiles

All Implemented Interfaces:
  PDFWritable

    public class PDFEmbeddedFiles

extends PDFNameTreeNode

Class representing an /EmbeddedFiles dictionary object (name tree).

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFEmbeddedFiles()` Create a /EmbeddedFiles dictionary.

Method Summary
`protected void` | `writeDictionary(java.io.OutputStream out, java.lang.StringBuilder textBuffer)` Writes the contents of the dictionary to a StringBuffer.

Methods inherited from class org.apache.fop.pdf.PDFNameTreeNode
`getKids, getLowerLimit, getNames, getUpperLimit, setKids, setLowerLimit, setNames, setUpperLimit`

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`containsKey, get, getChildren, getChildren, keySet, output, put, put, remove`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFEmbeddedFiles

    public PDFEmbeddedFiles()

  Create a /EmbeddedFiles dictionary.

Method Detail

### writeDictionary

    protected void writeDictionary(java.io.OutputStream out,
                                   java.lang.StringBuilder textBuffer)
                            throws java.io.IOException

  Writes the contents of the dictionary to a StringBuffer.

  Overrides:
    `writeDictionary` in class `PDFDictionary`
  Parameters:
    `out` - the OutputStream (for binary content)
    `textBuffer` - the text buffer for text output
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.